Pay Coupon
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/pay-coupon \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": true,
"reclaimAfter": 86400,
"memo": "Coupon payout Mar 2026"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/pay-coupon"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": True,
"reclaimAfter": 86400,
"memo": "Coupon payout Mar 2026"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
pushYield: true,
reclaimAfter: 86400,
memo: 'Coupon payout Mar 2026'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/pay-coupon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Coupon payment submitted",
"data": {
"operationRef": "coupon_5e6f7a8b2c4d",
"txHash": "0x6cab56e2c35ee6de578b5a670ba4109389c4206c99558d8b420ef405c40c42f9"
}
}Tokenization
Pay Coupon
Pays the scheduled coupon for a yield-bearing token. Set pushYield to push funds to investors rather than letting them claim.
POST
/
v1
/
tokens
/
yield
/
pay-coupon
Pay Coupon
curl --request POST \
--url https://dev.api.withconvexity.com/v1/tokens/yield/pay-coupon \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": true,
"reclaimAfter": 86400,
"memo": "Coupon payout Mar 2026"
}
'import requests
url = "https://dev.api.withconvexity.com/v1/tokens/yield/pay-coupon"
payload = {
"tokenId": "019ee492-6357-72ec-bd3b-19c5f8242d96",
"chain": "BASE",
"pushYield": True,
"reclaimAfter": 86400,
"memo": "Coupon payout Mar 2026"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tokenId: '019ee492-6357-72ec-bd3b-19c5f8242d96',
chain: 'BASE',
pushYield: true,
reclaimAfter: 86400,
memo: 'Coupon payout Mar 2026'
})
};
fetch('https://dev.api.withconvexity.com/v1/tokens/yield/pay-coupon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Coupon payment submitted",
"data": {
"operationRef": "coupon_5e6f7a8b2c4d",
"txHash": "0x6cab56e2c35ee6de578b5a670ba4109389c4206c99558d8b420ef405c40c42f9"
}
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
